<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::meta::MetaDualShock3 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1meta_1_1_meta_dual_shock3.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1meta_1_1_meta_dual_shock3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::meta::MetaDualShock3 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe intégrant la manette <a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>.  
 <a href="classframework_1_1meta_1_1_meta_dual_shock3.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_dual_shock3_8h_source.html">MetaDualShock3.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::meta::MetaDualShock3:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1meta_1_1_meta_dual_shock3.png" usemap="#framework::meta::MetaDualShock3_map" alt=""/>
  <map id="framework::meta::MetaDualShock3_map" name="framework::meta::MetaDualShock3_map">
<area href="classframework_1_1sensor_1_1_target_eth_controller.html" alt="framework::sensor::TargetEthController" shape="rect" coords="120,168,351,192"/>
<area href="classframework_1_1sensor_1_1_target_controller.html" title="Base Class for target side remote controls. " alt="framework::sensor::TargetController" shape="rect" coords="120,112,351,136"/>
<area href="classframework_1_1core_1_1_thread.html" title="Abstract class for a thread. " alt="framework::core::Thread" shape="rect" coords="0,56,231,80"/>
<area href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. " alt="framework::core::IODevice" shape="rect" coords="241,56,472,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,231,24"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="241,0,472,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af54209ab17382941d68ce4344d97b339"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af54209ab17382941d68ce4344d97b339"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaDualShock3</b> (<a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, uint16_t port, uint8_t priority)</td></tr>
<tr class="separator:af54209ab17382941d68ce4344d97b339"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ea02ac42643fb4338fade16f8f86e41"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ea02ac42643fb4338fade16f8f86e41"></a>
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html">core::AhrsData</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetReferenceOrientation</b> (void) const </td></tr>
<tr class="separator:a0ea02ac42643fb4338fade16f8f86e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d503b35cbe5be2bd070627a9b32f132"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d503b35cbe5be2bd070627a9b32f132"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>ZRef</b> (void) const </td></tr>
<tr class="separator:a3d503b35cbe5be2bd070627a9b32f132"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedad8657e29d48badb6dbc6fba059ec1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aedad8657e29d48badb6dbc6fba059ec1"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>DzRef</b> (void) const </td></tr>
<tr class="separator:aedad8657e29d48badb6dbc6fba059ec1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fb01c19d9a313e55fe3da58eeae4c5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6fb01c19d9a313e55fe3da58eeae4c5a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawRef</b> (float value)</td></tr>
<tr class="separator:a6fb01c19d9a313e55fe3da58eeae4c5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addeb93ccdd6364a12218e6fdeb472425"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html#addeb93ccdd6364a12218e6fdeb472425">SetYawRef</a> (<a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> const &amp;value)</td></tr>
<tr class="memdesc:addeb93ccdd6364a12218e6fdeb472425"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set yaw reference.  <a href="#addeb93ccdd6364a12218e6fdeb472425">More...</a><br /></td></tr>
<tr class="separator:addeb93ccdd6364a12218e6fdeb472425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3b229a274963d94c6043235a60e2b7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3b229a274963d94c6043235a60e2b7c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetZRef</b> (float value)</td></tr>
<tr class="separator:ac3b229a274963d94c6043235a60e2b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c260aa64908fb580b20656fcc7a4b42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c260aa64908fb580b20656fcc7a4b42"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>RollTrim</b> (void) const </td></tr>
<tr class="separator:a2c260aa64908fb580b20656fcc7a4b42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f6a7e8e58f5eefb31821ec036ce4c27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f6a7e8e58f5eefb31821ec036ce4c27"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>PitchTrim</b> (void) const </td></tr>
<tr class="separator:a6f6a7e8e58f5eefb31821ec036ce4c27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4670b84dcc96f9944a3fcc2a2aff71e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af4670b84dcc96f9944a3fcc2a2aff71e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ErrorNotify</b> (void)</td></tr>
<tr class="separator:af4670b84dcc96f9944a3fcc2a2aff71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a975bbb82f2786491cec6de6fe707689d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a975bbb82f2786491cec6de6fe707689d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:a975bbb82f2786491cec6de6fe707689d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dfaccb9b92cb7f7502ea402c0f95f91"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2dfaccb9b92cb7f7502ea402c0f95f91"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (unsigned int ledId)</td></tr>
<tr class="separator:a2dfaccb9b92cb7f7502ea402c0f95f91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05545c9c200aea24b409b63bd8b78559"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05545c9c200aea24b409b63bd8b78559"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (unsigned int ledId)</td></tr>
<tr class="separator:a05545c9c200aea24b409b63bd8b78559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeac2eb76671fdaadb959a256578b410b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeac2eb76671fdaadb959a256578b410b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>FlashLed</b> (unsigned int ledId, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:aeac2eb76671fdaadb959a256578b410b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1sensor_1_1_target_eth_controller"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1sensor_1_1_target_eth_controller')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1sensor_1_1_target_eth_controller.html">framework::sensor::TargetEthController</a></td></tr>
<tr class="memitem:a13c832f34ca8a9446aed34c5267e1efc inherit pub_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13c832f34ca8a9446aed34c5267e1efc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TargetEthController</b> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, uint16_t port, uint8_t priority=0)</td></tr>
<tr class="separator:a13c832f34ca8a9446aed34c5267e1efc inherit pub_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1sensor_1_1_target_controller"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1sensor_1_1_target_controller')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1sensor_1_1_target_controller.html">framework::sensor::TargetController</a></td></tr>
<tr class="memitem:a91f8aaa05034045a7f52cf99b66c62a9 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91f8aaa05034045a7f52cf99b66c62a9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TargetController</b> (const <a class="el" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a> *parent, std::string name, uint8_t priority=0)</td></tr>
<tr class="separator:a91f8aaa05034045a7f52cf99b66c62a9 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e3a87db08f494cd0ea3c8586aa90af0 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e3a87db08f494cd0ea3c8586aa90af0"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetAxisNumber</b> () const </td></tr>
<tr class="separator:a3e3a87db08f494cd0ea3c8586aa90af0 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40d1d764119c18c4b9f58f03943863e7 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40d1d764119c18c4b9f58f03943863e7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>GetAxisValue</b> (unsigned int axisId) const </td></tr>
<tr class="separator:a40d1d764119c18c4b9f58f03943863e7 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dc3639ab4d829e43224983908ff1359 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dc3639ab4d829e43224983908ff1359"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonNumber</b> () const </td></tr>
<tr class="separator:a7dc3639ab4d829e43224983908ff1359 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501d16b1bc192cf82fd94cf9fa8dcd4d inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a501d16b1bc192cf82fd94cf9fa8dcd4d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsButtonPressed</b> (unsigned int buttonId) const </td></tr>
<tr class="separator:a501d16b1bc192cf82fd94cf9fa8dcd4d inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309b3c2bc9687fa8716da5640016c19d inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a309b3c2bc9687fa8716da5640016c19d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOn</b> (unsigned int ledId)</td></tr>
<tr class="separator:a309b3c2bc9687fa8716da5640016c19d inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7abf6b86411f1ca340ee8a22da5040de inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7abf6b86411f1ca340ee8a22da5040de"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOff</b> (unsigned int ledId)</td></tr>
<tr class="separator:a7abf6b86411f1ca340ee8a22da5040de inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d53267f091b0b639733c76b4a9a98fb inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3d53267f091b0b639733c76b4a9a98fb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (unsigned int left_force, unsigned int left_timeout, unsigned int right_force, unsigned int right_timeout)</td></tr>
<tr class="separator:a3d53267f091b0b639733c76b4a9a98fb inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab064335e6f461518c62cd0b292f12af7 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab064335e6f461518c62cd0b292f12af7"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>FlashLed</b> (unsigned int ledId, unsigned int on_timeout, unsigned int off_timeout)</td></tr>
<tr class="separator:ab064335e6f461518c62cd0b292f12af7 inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c43eea91c9521296fd650790369e1fd inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1sensor_1_1_target_controller.html#a7c43eea91c9521296fd650790369e1fd">UpdateFrom</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data)</td></tr>
<tr class="memdesc:a7c43eea91c9521296fd650790369e1fd inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="mdescLeft">&#160;</td><td class="mdescRight">Update using provided datas.  <a href="#a7c43eea91c9521296fd650790369e1fd">More...</a><br /></td></tr>
<tr class="separator:a7c43eea91c9521296fd650790369e1fd inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb210ec43e2c15611c8c151653c24de inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bb210ec43e2c15611c8c151653c24de"></a>
<a class="el" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>GetTab</b> (void) const </td></tr>
<tr class="separator:a1bb210ec43e2c15611c8c151653c24de inherit pub_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ade8360f01a17c3c59a8fcfa8a67af4e9">Thread</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, uint8_t priority)</td></tr>
<tr class="memdesc:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ade8360f01a17c3c59a8fcfa8a67af4e9">More...</a><br /></td></tr>
<tr class="separator:ade8360f01a17c3c59a8fcfa8a67af4e9 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a27a72866b343b8734fd4427515d1e38f">~Thread</a> ()</td></tr>
<tr class="memdesc:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a27a72866b343b8734fd4427515d1e38f">More...</a><br /></td></tr>
<tr class="separator:a27a72866b343b8734fd4427515d1e38f inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aeea6854b038e4cc558dfb8dbfc6f47fd">Start</a> (void)</td></tr>
<tr class="memdesc:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Start the thread.  <a href="#aeea6854b038e4cc558dfb8dbfc6f47fd">More...</a><br /></td></tr>
<tr class="separator:aeea6854b038e4cc558dfb8dbfc6f47fd inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#acd61dc2aef8db4619f5d65eb0aca3d40">SafeStop</a> (void)</td></tr>
<tr class="memdesc:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#acd61dc2aef8db4619f5d65eb0aca3d40">More...</a><br /></td></tr>
<tr class="separator:acd61dc2aef8db4619f5d65eb0aca3d40 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a540728357836b08054eb1d2c659ce0e1">ToBeStopped</a> (void) const </td></tr>
<tr class="memdesc:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set a stop flag.  <a href="#a540728357836b08054eb1d2c659ce0e1">More...</a><br /></td></tr>
<tr class="separator:a540728357836b08054eb1d2c659ce0e1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a74b2dd5fda4079a47f67d89b832a02d1">Join</a> (void)</td></tr>
<tr class="memdesc:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Join the thread.  <a href="#a74b2dd5fda4079a47f67d89b832a02d1">More...</a><br /></td></tr>
<tr class="separator:a74b2dd5fda4079a47f67d89b832a02d1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a7aefccd25fe4a0dd6fa76d03090b9bb2">SetPeriodUS</a> (uint32_t period_us)</td></tr>
<tr class="memdesc:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in micro second.  <a href="#a7aefccd25fe4a0dd6fa76d03090b9bb2">More...</a><br /></td></tr>
<tr class="separator:a7aefccd25fe4a0dd6fa76d03090b9bb2 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29632101695ddd794befd704c4cc1fd7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a29632101695ddd794befd704c4cc1fd7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodUS</b> () const </td></tr>
<tr class="separator:a29632101695ddd794befd704c4cc1fd7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3d7e006f50eb03f350c251ad7b0a8924">SetPeriodMS</a> (uint32_t period_ms)</td></tr>
<tr class="memdesc:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the period in milli second.  <a href="#a3d7e006f50eb03f350c251ad7b0a8924">More...</a><br /></td></tr>
<tr class="separator:a3d7e006f50eb03f350c251ad7b0a8924 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea1b6d67d95524f1c248e8e00a1a4a7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acea1b6d67d95524f1c248e8e00a1a4a7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>GetPeriodMS</b> () const </td></tr>
<tr class="separator:acea1b6d67d95524f1c248e8e00a1a4a7 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#afb56b9c909587242815270979452f38e">IsPeriodSet</a> (void)</td></tr>
<tr class="memdesc:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns if period was set.  <a href="#afb56b9c909587242815270979452f38e">More...</a><br /></td></tr>
<tr class="separator:afb56b9c909587242815270979452f38e inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a3aa7c62bf562cb4211b79e1d25eaad8b">WaitPeriod</a> (void) const </td></tr>
<tr class="memdesc:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait the period.  <a href="#a3aa7c62bf562cb4211b79e1d25eaad8b">More...</a><br /></td></tr>
<tr class="separator:a3aa7c62bf562cb4211b79e1d25eaad8b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a62d15f694800dc4ac777fbbb57890228">WaitUpdate</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wait update of an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>.  <a href="#a62d15f694800dc4ac777fbbb57890228">More...</a><br /></td></tr>
<tr class="separator:a62d15f694800dc4ac777fbbb57890228 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#af9c6b84365e82242f6066d15b783e59c">Suspend</a> (void)</td></tr>
<tr class="memdesc:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread.  <a href="#af9c6b84365e82242f6066d15b783e59c">More...</a><br /></td></tr>
<tr class="separator:af9c6b84365e82242f6066d15b783e59c inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#aafb4dee5db8515e105717940c1e4850b">SuspendUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> date)</td></tr>
<tr class="memdesc:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suspend the thread with timeout.  <a href="#aafb4dee5db8515e105717940c1e4850b">More...</a><br /></td></tr>
<tr class="separator:aafb4dee5db8515e105717940c1e4850b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a998454819371b74a979ac4e5ba362c51">Resume</a> (void)</td></tr>
<tr class="memdesc:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resume the thread.  <a href="#a998454819371b74a979ac4e5ba362c51">More...</a><br /></td></tr>
<tr class="separator:a998454819371b74a979ac4e5ba362c51 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a02931f74dbd44574c48a48ef0101164b">IsSuspended</a> (void) const </td></tr>
<tr class="memdesc:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the thread suspended?  <a href="#a02931f74dbd44574c48a48ef0101164b">More...</a><br /></td></tr>
<tr class="separator:a02931f74dbd44574c48a48ef0101164b inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a231938b0e81bd51f7e7e8f11b8bf45d6">SleepUntil</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time) const </td></tr>
<tr class="memdesc:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep until absolute time.  <a href="#a231938b0e81bd51f7e7e8f11b8bf45d6">More...</a><br /></td></tr>
<tr class="separator:a231938b0e81bd51f7e7e8f11b8bf45d6 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#ab40474f0d841d2854587bd44ec776171">SleepUS</a> (uint32_t time_us) const </td></tr>
<tr class="memdesc:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a certain time in micro second.  <a href="#ab40474f0d841d2854587bd44ec776171">More...</a><br /></td></tr>
<tr class="separator:ab40474f0d841d2854587bd44ec776171 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">SleepMS</a> (uint32_t time_ms) const </td></tr>
<tr class="memdesc:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sleep for a cartain time in milli second.  <a href="#a5bdbf5a2c9d82a562436e9ae7e5ea4b1">More...</a><br /></td></tr>
<tr class="separator:a5bdbf5a2c9d82a562436e9ae7e5ea4b1 inherit pub_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a38daac1daa593059f052e1f8fbca5644">IODevice</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name)</td></tr>
<tr class="memdesc:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a38daac1daa593059f052e1f8fbca5644">More...</a><br /></td></tr>
<tr class="separator:a38daac1daa593059f052e1f8fbca5644 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#aca7bca58d80d05ade95107d40cc54edd">~IODevice</a> ()</td></tr>
<tr class="memdesc:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aca7bca58d80d05ade95107d40cc54edd">More...</a><br /></td></tr>
<tr class="separator:aca7bca58d80d05ade95107d40cc54edd inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a7e7f5d82cab621b617ee19a268e19480">AddDeviceToLog</a> (const <a class="el" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a> *device)</td></tr>
<tr class="memdesc:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a> to the logs.  <a href="#a7e7f5d82cab621b617ee19a268e19480">More...</a><br /></td></tr>
<tr class="separator:a7e7f5d82cab621b617ee19a268e19480 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a780509d4fa58f743535afebeff1fa568">AddDataToLog</a> (const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> to the log.  <a href="#a780509d4fa58f743535afebeff1fa568">More...</a><br /></td></tr>
<tr class="separator:a780509d4fa58f743535afebeff1fa568 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a5d6345ad826683212ecb8d182614a77f">OutputToShMem</a> (bool enabled)</td></tr>
<tr class="memdesc:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send the output to a shared memory.  <a href="#a5d6345ad826683212ecb8d182614a77f">More...</a><br /></td></tr>
<tr class="separator:a5d6345ad826683212ecb8d182614a77f inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64c45d0ae8937692acf28adaaa7a54b3"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetInputDataType</b> () const </td></tr>
<tr class="separator:a64c45d0ae8937692acf28adaaa7a54b3 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c60cdf6bb6b0bff895a785d2981fdf5"></a>
virtual <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetOutputDataType</b> () const </td></tr>
<tr class="separator:a8c60cdf6bb6b0bff895a785d2981fdf5 inherit pub_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classframework_1_1core_1_1_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classframework_1_1core_1_1_thread')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></td></tr>
<tr class="memitem:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_thread.html#a6c6e2c6e3c7b8e5b9730a21eb175c193">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a6c6e2c6e3c7b8e5b9730a21eb175c193">More...</a><br /></td></tr>
<tr class="separator:a6c6e2c6e3c7b8e5b9730a21eb175c193 inherit pub_static_methods_classframework_1_1core_1_1_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1sensor_1_1_target_eth_controller')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1sensor_1_1_target_eth_controller.html">framework::sensor::TargetEthController</a></td></tr>
<tr class="memitem:afea0060c322ec042a93983401c8932b5 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afea0060c322ec042a93983401c8932b5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsConnected</b> () const </td></tr>
<tr class="separator:afea0060c322ec042a93983401c8932b5 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75108d75f4bb637726f1c1a8e1cf03e2 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a75108d75f4bb637726f1c1a8e1cf03e2"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetAxisName</b> (unsigned int axisId) const </td></tr>
<tr class="separator:a75108d75f4bb637726f1c1a8e1cf03e2 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad465edfe48135ef83eb2a4d72a85971d inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad465edfe48135ef83eb2a4d72a85971d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>GetButtonName</b> (unsigned int axisId) const </td></tr>
<tr class="separator:ad465edfe48135ef83eb2a4d72a85971d inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa364e690c107fa9175c092886626d91e inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa364e690c107fa9175c092886626d91e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ProcessMessage</b> (<a class="el" href="classframework_1_1core_1_1_message.html">core::Message</a> *msg)</td></tr>
<tr class="separator:aa364e690c107fa9175c092886626d91e inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b84c1fcfeaf9ee6d684f0964e7e4ec0 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b84c1fcfeaf9ee6d684f0964e7e4ec0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsControllerActionSupported</b> (ControllerAction action) const </td></tr>
<tr class="separator:a8b84c1fcfeaf9ee6d684f0964e7e4ec0 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab16a92aa86919a0aa65e7679db4b5f inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ab16a92aa86919a0aa65e7679db4b5f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsDataFrameReady</b> ()</td></tr>
<tr class="separator:a5ab16a92aa86919a0aa65e7679db4b5f inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f59d06a7bdad873e967e4c82d6c0b4 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32f59d06a7bdad873e967e4c82d6c0b4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AcquireAxisData</b> (<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> &amp;axis)</td></tr>
<tr class="separator:a32f59d06a7bdad873e967e4c82d6c0b4 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a84f81d1a0016b7045436154781e4b8 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a84f81d1a0016b7045436154781e4b8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>AcquireButtonData</b> (<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> &amp;button)</td></tr>
<tr class="separator:a6a84f81d1a0016b7045436154781e4b8 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab98ffa5ac394d8a6e3db14210140e585 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab98ffa5ac394d8a6e3db14210140e585"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>ControllerInitialization</b> ()</td></tr>
<tr class="separator:ab98ffa5ac394d8a6e3db14210140e585 inherit pro_methods_classframework_1_1sensor_1_1_target_eth_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1sensor_1_1_target_controller"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1sensor_1_1_target_controller')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1sensor_1_1_target_controller.html">framework::sensor::TargetController</a></td></tr>
<tr class="memitem:ac4e0ddb637d9194083823a73fe5ace77 inherit pro_methods_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4e0ddb637d9194083823a73fe5ace77"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>QueueMessage</b> (<a class="el" href="classframework_1_1core_1_1_message.html">core::Message</a> msg)</td></tr>
<tr class="separator:ac4e0ddb637d9194083823a73fe5ace77 inherit pro_methods_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1_i_o_device"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1_i_o_device')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></td></tr>
<tr class="memitem:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_i_o_device.html#a50eb13bc82e98bc0e170d77bba026de4">ProcessUpdate</a> (<a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *data)</td></tr>
<tr class="memdesc:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="mdescLeft">&#160;</td><td class="mdescRight">Process the childs of type <a class="el" href="classframework_1_1core_1_1_i_o_device.html" title="Abstract class for input/ouput system. ">IODevice</a>, and log if needed.  <a href="#a50eb13bc82e98bc0e170d77bba026de4">More...</a><br /></td></tr>
<tr class="separator:a50eb13bc82e98bc0e170d77bba026de4 inherit pro_methods_classframework_1_1core_1_1_i_o_device"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1sensor_1_1_target_controller"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1sensor_1_1_target_controller')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1sensor_1_1_target_controller.html">framework::sensor::TargetController</a></td></tr>
<tr class="memitem:aa90d5ea16ec8d505334e0b5641ec07b6 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa90d5ea16ec8d505334e0b5641ec07b6"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>axisNumber</b></td></tr>
<tr class="separator:aa90d5ea16ec8d505334e0b5641ec07b6 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f359eb2e2a9aaa542683c5d5dced452 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4f359eb2e2a9aaa542683c5d5dced452"></a>
<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>axis</b> =NULL</td></tr>
<tr class="separator:a4f359eb2e2a9aaa542683c5d5dced452 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbcc3f8a2044469f7c1f07ff394b0d13 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbcc3f8a2044469f7c1f07ff394b0d13"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><b>bitsPerAxis</b></td></tr>
<tr class="separator:acbcc3f8a2044469f7c1f07ff394b0d13 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab362dbf338dfe67eb8248c47396a4e31 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab362dbf338dfe67eb8248c47396a4e31"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>buttonNumber</b></td></tr>
<tr class="separator:ab362dbf338dfe67eb8248c47396a4e31 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06c4746a4be1c208b0df8b431bc3efb2 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06c4746a4be1c208b0df8b431bc3efb2"></a>
<a class="el" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>button</b> =NULL</td></tr>
<tr class="separator:a06c4746a4be1c208b0df8b431bc3efb2 inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68561e3ad4a8a3f30aa7cbb59821474c inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68561e3ad4a8a3f30aa7cbb59821474c"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>ledNumber</b></td></tr>
<tr class="separator:a68561e3ad4a8a3f30aa7cbb59821474c inherit pro_attribs_classframework_1_1sensor_1_1_target_controller"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe intégrant la manette <a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="addeb93ccdd6364a12218e6fdeb472425"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::meta::MetaDualShock3::SetYawRef </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_quaternion.html">core::Quaternion</a> const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set yaw reference. </p>
<p>Yaw part of the output quaternion is obtained by integrating the wz desired angular speed.<br />
This method reset the yaw.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>value, only the yaw part of the quaternion is used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1meta.html">meta</a></li><li class="navelem"><a class="el" href="classframework_1_1meta_1_1_meta_dual_shock3.html">MetaDualShock3</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:29:00 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
